doc: Tell to stop acknowledging the API unstability

Let the users know that they can stop defining HANDY_USE_UNSTABLE_API.
12 jobs for unstable-api in 15 minutes and 40 seconds (queued for 1 second)
latest
Status Job ID Name Coverage
  Build
passed #263850
librem5
api-visibility

00:02:34

passed #263852
librem5
build-debian-clang

00:03:59

passed #263851
librem5
build-debian-gcc

00:02:56

passed #263853
librem5
build-fedora-gcc

00:03:51

 
  Test+Docs
passed #263854
librem5
build-gtkdoc

00:02:08

passed #263855
librem5
unit-test

00:02:04

43.8%
 
  Package
passed #263856
librem5
package-debian-buster

00:03:24

passed #263857
librem5:arm64
package-debian-buster:arm64

00:06:38

passed #263858
flatpak
package-flatpak

00:01:12

passed #263859
flatpak
package-flatpak-glade

00:03:30

 
  Test Package
passed #263860
librem5
autopkgtest-debian-buster-package

00:02:54

passed #263861
librem5
lintian-debian-buster-package

00:01:07